Index: emacs/etc/MACHINES
diff -c emacs/etc/MACHINES:1.1.1.2 emacs/etc/MACHINES:1.3
*** emacs/etc/MACHINES:1.1.1.2	Mon Jul 22 01:49:50 1996
--- emacs/etc/MACHINES	Wed Jul 31 01:32:38 1996
***************
*** 732,749 ****
    There is a report that compilation with -O did not work with 18.54
    under System V release 2.
  
! NeXT (m68k-next-nextstep)
  
!   Emacs 19 has not been tested extensively yet, but it seems to work
!   in a NeXTStep 3.0 terminal window, and under the X server called
!   co-Xist.  You may need to specify -traditional when src/Makefile
!   builds xmakefile.
  
!   NeXT users might want to implement direct operation with NeXTStep,
!   but from the point of view of the GNU project, that is a
!   distraction.
  
!   Thanks to Thorsten Ohl for working on the NeXT port of Emacs 19.
  
  Nixdorf Targon 31 (m68k-nixdorf-sysv)
  
--- 732,795 ----
    There is a report that compilation with -O did not work with 18.54
    under System V release 2.
  
! NeXT (*-next-*) //FIXME/cl
  
!   Enable support for NeXTstep with the '--with-ns' option or configure
!   will set it by default if you compile on a NS system and don't ask
!   for X.  If you want to compile with both X and NS support you have
!   to ask for both of them explicitly.
  
!   Emacs 19 for NS will compile on i386, m68k, hppa and sparc machines
!   (as well as presumably all future NS machines).  However it will not
!   compile FAT.  This is caused by some truly horrendous acts committed
!   on the binary by the dumping process and is not likely to change in
!   the near future.  On the other hand, if you really need a fat
!   version of emacs for NS, there is nothing to prevent you from
!   seperately creating versions for each architecture you want to
!   support and then using lipo to combine them to a single fat binary.
! 
!   To create a binary installation in /LocalApps follow these steps:
! 
!     1. Run ./configure with the options you otherwise would (possibly
!     none) with the option '--prefix=/LocalApps/Emacs.app' added (and
!     certainly without the '--run-in-place' option).
! 
!     2. make
!        make install
! 
!     3. mv /LocalApps/Emacs.app/bin/emacs /LocalApps/Emacs.app/Emacs
!        ln -s ../Emacs /LocalApps/Emacs.app/bin/emacs
  
!     4. ./etc/Emacs.post_install . /LocalApps
! 
!   To reduce the total installed size of Emacs.app, you can also take any or
!   all of these steps:
!   
!     *  cd /LocalApps/Emacs.app
!        strip bin/* lib/emacs/*/*-next-*/*
!        /bin/rm -f bin/emacs-*
!        [ And don't worry about the warnings ]
! 
!     *  cd /LocalApps/Emacs.app/info
!        gzip *.info*
! 
!     *  cd /LocalApps/Emacs.app/lib/emacs/*/lisp
!        /bin/rm -f *.el term/*.el
! 
!     *  cd /LocalApps/Emacs.app/lib/emacs/*/etc
!        /bin/rm -f 3B-MAXMEM AIX.DUMP LEDIT MSDOS Makefile SUN-SUPPORT
!        /bin/rm -f Xkeymap.txt emacs.icon emacs.xbm emacstool.1
!        /bin/rm -f etags.vms ms-kermit* news.texi termcap*
!        /bin/rm -f ulimit.hack ledit.l emacs.bash emacs.csh DOC
!        gzip Emacs.info Emacs.post_install Emacs.pre_delete
!        gzip APPLE BABYL COOKIES COPYING DEBUG DISTRIB MH-E-NEWS FAQ FTP
!        gzip GNU INTERVIEW JOKES LNEWS LPF MACHINES MAILINGLISTS MORE.STUFF
!        gzip MOTIVATION O*NEWS ChangeLog* ORDERS* OTHER.EMACSES README
!        gzip SERVICE TERMS TO-DO TODO copying.paper refcard.tex vipcard.tex
!        gzip echo.msg etags.notes
!        
!   The GNU project considers the direct operation with NeXTstep a
!   distraction.
  
  Nixdorf Targon 31 (m68k-nixdorf-sysv)
  
Index: emacs/etc/TO-DO
diff -c /dev/null emacs/etc/TO-DO:1.1
*** /dev/null	Fri Aug  2 19:56:44 1996
--- emacs/etc/TO-DO	Fri Jul 19 04:58:47 1996
***************
*** 0 ****
--- 1,83 ----
+ Things useful to do for GNU Emacs:
+ 
+ * Primitive for random access insertion of part of a file.
+ 
+ * Making I/O streams for files, so that read and prin1 can
+  be used on files directly.  The I/O stream itself would
+  serve as a function to read or write one character.
+ 
+ * If a file you can't write is in a directory you can write,
+  make sure it works to modify and save this file.
+ 
+ * Make dired's commands handle correctly the case where
+  ls has listed several subdirectories' contents.
+  It needs to be able to tell which directory each file
+  is really in, by searching backward for the line
+  which identifies the start of a directory.
+ 
+ * Add more dired commands, such as sorting (use the
+  sort utility through call-process-region).
+ 
+ * Make display.c record inverse-video-ness on
+  a character by character basis.  Then make non-full-screen-width
+  mode lines inverse video, and display the marked location in
+  inverse video.
+ 
+ * VMS code to list a file directory.  Make dired work.
+ 
+ Long range:
+ 
+    Ideas for extending GNU Emacs to deal with arbitrary character sets.
+ 
+ I would like GNU Emacs to be extended to handle all the world's alphabets
+ and word signs.  I don't expect to have time to do such a thing in the next
+ few years, so here are my ideas on the best way to do it.
+ 
+ * Each graphic is represented by a sequence of ordinary 8-bit characters.
+ 
+ * All the characters that make up such a sequence have codes >= 0200.
+ 
+ * The first character of such a sequence is between 0200 and 0237.
+ 
+ * The remaining characters of such a sequence are all 0240 or higher.
+ 
+ * The first character of the sequence determines the number of characters
+ in the sequence.  Thus, 0200...0207 could start two-character sequences,
+ 0210...0227 could start three-character sequences, and 0230 could start
+ four-character sequences.  (Codes 0231...0237 would be reserved.)
+ 
+ *  Several common  alphabets,  and  some mathematical   symbols,  would get
+ two-character sequences.  (Probably Greek,  Russian,  Hebrew(?), Arabic(?),
+ Korean, and Japanese kana).  The remaining alphabets, and  some versions of
+ Chinese,  would   get  three-character sequences.    Other  sets of Chinese
+ characters would get four-character sequences.
+ 
+ Each country that uses Chinese characters has its own standard character
+ set, and it is not easy to correlate them to avoid overlap.  So there may
+ need to be several sets of Chinese characters.  That is why they need so
+ much code space.
+ 
+ True support for Hebrew and Arabic requires dealing with the problem of
+ writing direction for mixed text; I don't know what to do for that.
+ 
+ * The functions that use syntax table would determine the
+ syntax of a sequence from its first character.
+ 
+ * Functions in indent.c for computing widths and columns would
+ determine the width of a sequence from its first character.
+ So would display routines.
+ 
+ * Only a few other editing routines would need any change.  In
+ particular, searching and regexp matching might not need any change.
+ 
+ * Most of the work required would be in redisplay.  The only case that
+ needs to be supported is with X windows, since ordinary terminals
+ can't display all these characters anyway.
+ 
+ * There might need to be code to translate files from this format
+ to whatever format is typically stored on disk.
+ 
+ 
+ I would be very unhappy with half-measures, such as support for
+ Japanese only.
+ 
Index: emacs/etc/TODO
diff -c /dev/null emacs/etc/TODO:1.1
*** /dev/null	Fri Aug  2 19:56:47 1996
--- emacs/etc/TODO	Fri Jul 19 04:58:48 1996
***************
*** 0 ****
--- 1,190 ----
+ 1. Alpha Lock does not work. (FIXED)
+ 
+ 2. Menus don't work yet. (FIXED)
+ 
+ 3. Menu-enable is disabled
+ 
+ 4. Scroll bars don't scroll (FIXED) and are trashed in resizing (FIXED)
+ 
+ 5. Window update is _much_ too slow (FIXED)
+ 
+ 6. Eight bit characters aren't supported properly. (FIXED)
+ 
+ 7. If you try to start emacs with -ns when you are not on the next,
+    it coredumps instead of exiting cleanly. (NOT CONFIRMABLE)
+ 
+ 8. Icons aren't set by default.  Have to change that. (FIXED)
+ 
+ 9. Actually write ns-popup-menu. (FIXED)
+ 
+ 10. Menu-bar events get the wrong x,y location. (FIXED)
+ 
+ 11. Menubar is controlled by _selected_ frame. (and window !). (FIXED)
+ 
+ 11. Line spacing preference. (FIXED)
+ 
+ 12. Better handling of alt/ctrl/shift-chars rebound with Keyboard.app. (FIXED)
+ 
+ 13. ns-popup-filepanel always gives "Replace" query.  (FIXED)
+ 
+ 14. The modeline is displayed in highlight rather than in modeline face by
+     GNU emacs. (FIXED)
+ 
+ 15. AutoLower and AutoRaise have strange effects. (SEE BELOW)
+ 
+ 16. Miniaturize with keystroke de-miniaturizes next frame. (FIXED)
+ 
+ 17. When use-open-panel is t,  ns-open-file misfires. (FIXED)
+ 
+ 18. ns-read-file-name doesn't allow directories. (FIXED)
+ 
+ 19. When a menu is resized, the attached submenus aren't moved to
+     match.  (NOT FIXED.  WAIT FOR NEXT TO FIX THE BUG.)
+ 
+ 20. The buffer menu doesn't pop up invisible frames (WAIT FOR GNU EMACS 19.23).
+ 
+ 21. Ohlfs 11 (and others) break horribly when ISOLatin==YES. (FIXED)
+ 
+ 22. Save as... menu item gives double querries when UseOpenPanel==YES. (FIXED)
+ 
+ 23. Cursor streaks and is lost sometimes. (FIXED)
+ 
+ 24. Scroll bars not at the edge of the frame get trashed. (FIXED)
+ 
+ 25. Readchar-menu-prompt code broken. (FIXED)
+ 
+ 26. Scroll bars may trash frame. (FIXED)
+ 
+ 27. open(1) with multiple files doesn't work right. (FIXED)
+ 
+ 28. Double-click from Workspace puts wrong frame on top. (FIXED)
+ 
+ 29. Pulling scrollers all the way down doesn't always put the scroller
+     to the end.  (FIXED)
+ 
+ 30. Activate initial window when run. (DONE)
+ 
+ 31. Fix puresize=... (DONE)
+ 
+ 32. Display one key equivalent in menu (use where-is-internal and
+     key-description) (DONE)
+ 
+ 33. Don't copy to pasteboard when just selecting. (FIXED)
+ 
+ 34. Changing to huge font causes problems in view size. (FIXED)
+ 
+ 35. What if a default value for the original startup is the empty
+     string ? (FIXED)
+ 
+ 36. Scroller doesn't scroll to top when first line empty. (FIXED)
+ 
+ 37. Do/Don't startup in NS from command line (FIXED)
+ 
+ 38. ns-insert-file broken for multiple files. (FIXED)
+ 
+ 39. Using PB/Emacs may not select lines every time and may quit Emacs
+     (UNCONFIRMED)
+ 
+ 40. Autolower/autoraise should use window boundaries. (FIXED)
+ 
+ 41. Autolower/autoraise should not kill hide/miniaturize.
+ 
+ 42. iso-syntax/printable-character in ns-win.el. (FIXED)
+ 
+ 43. Detached menus sometimes don't reappear properly. (UNCONFIRMED &
+     FIXED IN ANY CASE)
+ 
+ 44. ns-find-file-fresh-frame opens new frame unnecessarily sometimes. (FIXED)
+ 
+ 45. Frames not always activated properly when other frames closed. (FIXED)
+ 
+ 46. Minibuffer-only frame may start activated.
+ 
+ 47. 'IPCFlushOutput: failed to flush output for stream' messages whenever
+     Emacs is closed. (FIXED) (it is back !)
+ 
+ 48. Can't use keyboard shortcuts when all frames miniaturized. (FIXED)
+ 
+ 49. Scroller doesn't scroll continuously.
+ 
+ 50. All menu items get 'H' as shortcut (FIXED)
+ 
+ 51. Popup menus popup far to the right (UNCONFIRMED)
+ 
+ 52. Ask y-or-n questions in real Panels. (DONE)
+ 
+ 53. Use the standard color panel to query color names. (DONE)
+ 
+ 54. Create a preferences panel. (DONE)
+ 
+ 55. Make ns-alt-is-meta equal to Qnil, Qt, Qleft and Qright. (DONE)
+ 
+ 56. Create ns-menu-bar-final-items which go even _after_ normal
+     menu-bar-final-items. (NOT ANY LONGER NECESSARY)
+ 
+ 57. Prevent errors on x-set-selection/x-get-selection.  Add support for secondary
+     selection. (DONE)
+ 
+ 58. (make-frame '((top . 33000))) crashes emacs. (FIXED)
+ 
+ 59. Emacs doesn't interact properly with gdb. (FIXED)
+ 
+ 60. Add blinking cursor. (DONE)
+ 
+ 61. Locations of submenus are not restored on restart. (FIXED)
+ 
+ 62. Use print panel (WISHLIST)
+ 
+ 63. Command key equivalents set by user defaults don't work. (FIXED)
+ 
+ 64. Order of menu items doesn't necessary follow order in keymap. (FIXED)
+ 
+ 65. Need to copy from emacs twice. (FIXED)
+ 
+ 65. open *.el starts a new emacs even if an old one is still running (UNCONFIRMED)
+ 
+ 66. Selection of lines from HeaderViewer fails
+ 
+ 67. Automatic highlighting of mouse faces doesn't work yet.
+ 
+ 68. Poping up of NS dialog boxes doesn't work again. (FIXED by Joe Reiss)
+ 
+ 69. Menu equivalents have not been updated for 19.23 (FIXED)
+ 
+ 70. First keystroke in frame after selecting it uses old keymap. (FIXED)
+ 
+ 71. Preserve modifier of scroll bar clicks.
+ 
+ 72. No scroller buttons. (WISHLIST)
+ 
+ 73. Set system beep.  Allow playing of arbitrary sounds. (WISHLIST)
+ 
+ 74. Code from menu-bar.el doesn't work. (FIXED)
+ 
+ 75. Add interface to NeXT system speller. (WISHLIST)
+ 
+ 76. If all frames are iconized and there are unsaved buffers, emacs never quits
+     and re-sync on reboot may be necessary.
+ 
+ 77. Drag'n'drop of colors in c++ mode doesn't work right. (UNCONFIRMED)
+ 
+ 78. int do_poll=1 causes crashes on Sun.  (FIXED)
+ 
+ 79. Crash with this on console: (FIXED)
+ Nov 16 19:24:07 freedom Emacs[19109]: An uncaught exception was raised
+ Nov 16 19:24:07 freedom Emacs[19109]: App Kit: Pasteboard error: Pasteboard communications are out of sync
+ 
+ 80. Crash with this on console: (FIXED)
+ Nov 17 08:52:14 freedom Emacs[19306]: An uncaught exception was raised
+ Nov 17 08:52:14 freedom Emacs[19306]: DPS client library error: Invalid file descriptor, DPSContext 0, data 3
+ 
+ 81. Rapid kills lead to lockup and crash eventually. (FIXED)
+ 
+ 82. Alternatively use NS Find and Goto panels (WISHLIST).
+ 
+ 83. Frames may be refreshed unnecessarily when another frame is refreshed. (WAIT FOR FSF)
+ 
+ 84. Auc-tex menus display in the wrong place.
+ 
+ 85. Crashing but with detached menus.
+ 
Index: emacs/info/dir
diff -c emacs/info/dir:1.1.1.2 emacs/info/dir:1.4
*** emacs/info/dir:1.1.1.2	Mon Jul 22 01:51:32 1996
--- emacs/info/dir	Thu Aug  1 02:33:43 1996
***************
*** 13,28 ****
  
  * Menu: The list of major topics begins on the next line.
  
! * Info: (info).		Documentation browsing system.
! * Emacs: (emacs).	The extensible self-documenting text editor.
! * VIP: (vip).		A VI-emulation for Emacs.
! * VIPER: (viper).       The new VI-emulation mode in Emacs-19.29.
! * Forms: (forms).	Emacs package for editing data bases
! 			  by filling in forms.
! * GNUS: (gnus).		The news reader GNUS.
! * MH-E: (mh-e).		Emacs interface to the MH mail system.
! * CL: (cl).		Partial Common Lisp support for Emacs Lisp.
! * SC: (sc).		Supercite lets you cite parts of messages you're 
! 			  replying to, in hairy ways.
! * Dired-X: (dired-x).   Dired Extra Features.
! * Ediff: (ediff).	A comprehensive visual interface to diff & patch.
--- 13,44 ----
  
  * Menu: The list of major topics begins on the next line.
  
! * Info: (info.info).
! 		Documentation browsing system.
! * Emacs: (emacs.info).
! 		The extensible self-documenting text editor.
! * Emacs-lisp: (elisp.info).
! 		And how to program it.
! * Emacs-for-NS: (ns-emacs.info).
! 		Information specific to Emacs 19 for NeXTstep.
! * VIP: (vip.info).
! 		A VI-emulation for Emacs.
! * VIPER: (viper.info).
! 		The new VI-emulation mode in Emacs-19.29.
! * Forms: (forms.info).
! 		Emacs package for editing data bases by filling in forms.
! * GNUS: (gnus.info).
! 		The news reader GNUS.
! * MH-E: (mh-e.info).
! 		Emacs interface to the MH mail system.
! * CL: (cl.info).
! 		Partial Common Lisp support for Emacs Lisp.
! * SC: (sc.info).
! 		Supercite lets you cite parts of messages you're
! 		replying to, in hairy ways.
! * Dired-X: (dired-x.info).
! 		Dired Extra Features.
! * Ediff: (ediff.info).
! 		A comprehensive visual interface to diff & patch.
! * Makeinfo: (makeinfo.info).
! 		A program for converting "Texinfo" files into "Info" files.
Index: emacs/lib-src/Makefile.in.in
diff -c emacs/lib-src/Makefile.in.in:1.1.1.2 emacs/lib-src/Makefile.in.in:1.5
*** emacs/lib-src/Makefile.in.in:1.1.1.2	Mon Jul 22 01:48:25 1996
--- emacs/lib-src/Makefile.in.in	Thu Aug  1 03:45:20 1996
***************
*** 95,101 ****
  UTILITIES= wakeup profile digest-doc \
  	sorted-doc movemail cvtmail fakemail yow emacsserver hexl timer
  
! DONT_INSTALL= test-distrib make-docfile
  
  # Like UTILITIES, but they're not system-dependent, and should not be
  #  deleted by the distclean target.
--- 95,101 ----
  UTILITIES= wakeup profile digest-doc \
  	sorted-doc movemail cvtmail fakemail yow emacsserver hexl timer
  
! DONT_INSTALL= test-distrib make-docfile makeinfo texindex
  
  # Like UTILITIES, but they're not system-dependent, and should not be
  #  deleted by the distclean target.
***************
*** 329,334 ****
--- 329,340 ----
  
  make-docfile: ${srcdir}/make-docfile.c
  	$(CC) ${ALL_CFLAGS} ${srcdir}/make-docfile.c $(LOADLIBES) -o make-docfile
+ 
+ makeinfo: ${srcdir}/makeinfo.c $(GETOPTDEPS) ../src/config.h
+ 	$(CC) ${ALL_CFLAGS} ${srcdir}/makeinfo.c $(GETOPTOBJS) $(LOADLIBES) -o makeinfo
+ 
+ texindex: ${srcdir}/texindex.c $(GETOPTDEPS) ../src/config.h
+ 	$(CC) ${ALL_CFLAGS} ${srcdir}/texindex.c $(GETOPTOBJS) $(LOADLIBES) -o texindex
  
  digest-doc: ${srcdir}/digest-doc.c
  	$(CC) ${ALL_CFLAGS} ${srcdir}/digest-doc.c $(LOADLIBES) -o digest-doc 
Index: emacs/lib-src/elc.update
diff -c /dev/null emacs/lib-src/elc.update:1.3
*** /dev/null	Fri Aug  2 20:29:02 1996
--- emacs/lib-src/elc.update	Thu Aug  1 18:27:30 1996
***************
*** 0 ****
--- 1,363 ----
+ #! /bin/sh
+ 
+ FORCE='[ -f $i ] || '
+ if [ $1"x" = "forcex" ]; then
+   FORCE=''
+ fi
+ 
+ # to build this list execute the following in emacs-root/lisp
+ # ls -1 **/*.elc | sed 's/^/          /' |copy
+ ELCFILES="
+           abbrev.elc
+           abbrevlist.elc
+           ada-mode.elc
+           add-log.elc
+           advice.elc
+           allout.elc
+           ange-ftp.elc
+           appt.elc
+           apropos.elc
+           arc-mode.elc
+           array.elc
+           asm-mode.elc
+           assoc.elc
+           auto-show.elc
+           autoinsert.elc
+           autoload.elc
+           avoid.elc
+           awk-mode.elc
+           backquote.elc
+           bib-mode.elc
+           bibtex.elc
+           blackbox.elc
+           bookmark.elc
+           buff-menu.elc
+           byte-opt.elc
+           byte-run.elc
+           bytecomp.elc
+           c-mode.elc
+           cal-dst.elc
+           cal-french.elc
+           cal-mayan.elc
+           cal-menu.elc
+           cal-x.elc
+           calendar.elc
+           case-table.elc
+           cc-mode.elc
+           cdl.elc
+           chistory.elc
+           cl-compat.elc
+           cl-extra.elc
+           cl-indent.elc
+           cl-macs.elc
+           cl-seq.elc
+           cl-specs.elc
+           cl.elc
+           cmacexp.elc
+           cmuscheme.elc
+           comint.elc
+           compare-w.elc
+           compile.elc
+           complete.elc
+           completion.elc
+           cookie1.elc
+           cplus-md.elc
+           cpp.elc
+           cust-print.elc
+           dabbrev.elc
+           debug.elc
+           delsel.elc
+           derived.elc
+           desktop.elc
+           diary-ins.elc
+           diary-lib.elc
+           diff.elc
+           dired-aux.elc
+           dired-x.elc
+           dired.elc
+           disass.elc
+           disp-table.elc
+           dissociate.elc
+           docref.elc
+           doctor.elc
+           dos-fns.elc
+           double.elc
+           dunnet.elc
+           easymenu.elc
+           ebuff-menu.elc
+           echistory.elc
+           edebug.elc
+           ediff-diff.elc
+           ediff-init.elc
+           ediff-merg.elc
+           ediff-util.elc
+           ediff-wind.elc
+           ediff.elc
+           edmacro.elc
+           edt-lk201.elc
+           edt-mapper.elc
+           edt-pc.elc
+           edt-vt100.elc
+           edt.elc
+           ehelp.elc
+           electric.elc
+           elp.elc
+           emacsbug.elc
+           emerge.elc
+           enriched.elc
+           env.elc
+           etags.elc
+           eval-reg.elc
+           f90.elc
+           facemenu.elc
+           faces.elc
+           fast-lock.elc
+           files.elc
+           fill.elc
+           find-dired.elc
+           find-file.elc
+           find-gc.elc
+           finder-inf.elc
+           finder.elc
+           float-sup.elc
+           float.elc
+           flow-ctrl.elc
+           foldout.elc
+           font-lock.elc
+           format.elc
+           forms.elc
+           fortran.elc
+           frame.elc
+           gnus-uu.elc
+           gnus.elc
+           gnusmail.elc
+           gnusmisc.elc
+           gnuspost.elc
+           gomoku.elc
+           gud.elc
+           hanoi.elc
+           help-macro.elc
+           help.elc
+           helper.elc
+           hexl.elc
+           hideif.elc
+           hideshow.elc
+           hilit19.elc
+           hippie-exp.elc
+           holidays.elc
+           icomplete.elc
+           icon.elc
+           ielm.elc
+           imenu.elc
+           indent.elc
+           inf-lisp.elc
+           info.elc
+           informat.elc
+           isearch.elc
+           iso-acc.elc
+           iso-ascii.elc
+           iso-cvt.elc
+           iso-insert.elc
+           iso-swed.elc
+           iso-syntax.elc
+           iso-transl.elc
+           ispell.elc
+           ispell4.elc
+           jka-compr.elc
+           kermit.elc
+           ledit.elc
+           levents.elc
+           life.elc
+           lisp-mnt.elc
+           lisp-mode.elc
+           lisp.elc
+           lmenu.elc
+           loadhist.elc
+           lpr.elc
+           ls-lisp.elc
+           lselect.elc
+           lucid.elc
+           lunar.elc
+           macros.elc
+           mail-extr.elc
+           mail-hist.elc
+           mail-utils.elc
+           mailabbrev.elc
+           mailalias.elc
+           mailpost.elc
+           makefile.elc
+           makeinfo.elc
+           makesum.elc
+           man.elc
+           map-ynp.elc
+           meese.elc
+           menu-bar.elc
+           metamail.elc
+           mh-comp.elc
+           mh-e.elc
+           mh-funcs.elc
+           mh-mime.elc
+           mh-pick.elc
+           mh-seq.elc
+           mh-utils.elc
+           mhspool.elc
+           misc.elc
+           mlconvert.elc
+           mldrag.elc
+           mlsupport.elc
+           modula2.elc
+           mouse-sel.elc
+           mouse.elc
+           mpuz.elc
+           msb.elc
+           nnspool.elc
+           nntp.elc
+           noutline.elc
+           novice.elc
+           nroff-mode.elc
+           ns-compat.elc
+           ns-gdb.elc
+           ns-icon.elc
+           ns-menu-bar.elc
+           ns-scroll-bar.elc
+           ns-syntax.elc
+           options.elc
+           outline.elc
+           page-ext.elc
+           page.elc
+           paragraphs.elc
+           paren.elc
+           pascal.elc
+           pc-mode.elc
+           perl-mode.elc
+           picture.elc
+           pp.elc
+           profile.elc
+           prolog.elc
+           ps-print.elc
+           rcompile.elc
+           rect.elc
+           refbib.elc
+           refer.elc
+           regi.elc
+           register.elc
+           replace.elc
+           reporter.elc
+           reposition.elc
+           resume.elc
+           rfc822.elc
+           ring.elc
+           rlogin.elc
+           rmail.elc
+           rmailedit.elc
+           rmailkwd.elc
+           rmailmsc.elc
+           rmailout.elc
+           rmailsort.elc
+           rmailsum.elc
+           rnews.elc
+           rnewspost.elc
+           rot13.elc
+           rsz-mini.elc
+           s-region.elc
+           saveplace.elc
+           scheme.elc
+           scribe.elc
+           scroll-bar.elc
+           select.elc
+           sendmail.elc
+           server.elc
+           sgml-mode.elc
+           sh-script.elc
+           shadowfile.elc
+           shell.elc
+           simple.elc
+           simula.elc
+           skeleton.elc
+           solar.elc
+           sort.elc
+           soundex.elc
+           spell.elc
+           spook.elc
+           startup.elc
+           studly.elc
+           subr.elc
+           supercite.elc
+           swedish.elc
+           tabify.elc
+           talk.elc
+           tar-mode.elc
+           tcl-mode.elc
+           tcp.elc
+           telnet.elc
+           tempo.elc
+           term.elc
+           term/apollo.elc
+           term/bg-mouse.elc
+           term/news.elc
+           term/ns-win.elc
+           term/pc-win.elc
+           term/sun-mouse.elc
+           term/sun.elc
+           term/sup-mouse.elc
+           term/tvi970.elc
+           term/vt100-led.elc
+           term/vt100.elc
+           term/vt200.elc
+           term/wyse50.elc
+           term/x-win.elc
+           term/xterm.elc
+           terminal.elc
+           tex-mode.elc
+           texinfmt.elc
+           texinfo.elc
+           texnfo-upd.elc
+           text-mode.elc
+           thingatpt.elc
+           time-stamp.elc
+           time.elc
+           timer.elc
+           timezone.elc
+           tmm.elc
+           tpu-edt.elc
+           tpu-extras.elc
+           tpu-mapper.elc
+           tq.elc
+           trace.elc
+           two-column.elc
+           type-break.elc
+           uncompress.elc
+           underline.elc
+           undigest.elc
+           unrmail.elc
+           unused.elc
+           upd-copyr.elc
+           userlock.elc
+           vc-hooks.elc
+           vc.elc
+           vi.elc
+           view.elc
+           vip.elc
+           viper-ex.elc
+           viper-keym.elc
+           viper-macs.elc
+           viper-mous.elc
+           viper-util.elc
+           viper.elc
+           vms-patch.elc
+           vms-pmail.elc
+           vmsproc.elc
+           vmsx.elc
+           vt100-led.elc
+           window.elc
+           winnt.elc
+           ws-mode.elc
+           x-apollo.elc
+           x-menu.elc
+           xscheme.elc
+           yow.elc
+ 	  "
+ 
+ for i in $ELCFILES; do
+   eval $FORCE "(touch -t 0101000080 $i && echo $i)"
+ done
Index: emacs/lib-src/make-docfile.c
diff -c emacs/lib-src/make-docfile.c:1.1.1.2 emacs/lib-src/make-docfile.c:1.3
*** emacs/lib-src/make-docfile.c:1.1.1.2	Mon Jul 22 01:48:07 1996
--- emacs/lib-src/make-docfile.c	Wed Jul 31 01:32:51 1996
***************
*** 18,26 ****
  the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.  */
  
  /* The arguments given to this program are all the C and Lisp source files
!  of GNU Emacs.  .elc and .el and .c files are allowed.
!  A .o file can also be specified; the .c file it was made from is used.
!  This helps the makefile pass the correct list of files.
  
   The results, which go to standard output or to a file
   specified with -a or -o (-a to append, -o to start from nothing),
--- 18,27 ----
  the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.  */
  
  /* The arguments given to this program are all the C and Lisp source files
!  of GNU Emacs.  .elc and .el and .c files are allowed.  A .o file can also
!  be specified; the .c file it was made from is used.  If this doesn't exist
!  the .m file it was made from is used instead.  This helps the makefile
!  pass the correct list of files.
  
   The results, which go to standard output or to a file
   specified with -a or -o (-a to append, -o to start from nothing),
***************
*** 35,40 ****
--- 36,42 ----
  #include <../src/config.h>
  
  #include <stdio.h>
+ #include <errno.h>
  #ifdef MSDOS
  #include <fcntl.h>
  #endif /* MSDOS */
***************
*** 322,331 ****
      }
  }
  
! /* Read through a c file.  If a .o file is named,
!    the corresponding .c file is read instead.
!    Looks for DEFUN constructs such as are defined in ../src/lisp.h.
!    Accepts any word starting DEF... so it finds DEFSIMPLE and DEFPRED.  */
  
  int
  scan_c_file (filename, mode)
--- 324,334 ----
      }
  }
  
! /* Read through a c file.  If a .o file is named, the corresponding .c file
!    is read instead.  If it does not exits, the corresponding .m file is
!    read instead.  Looks for DEFUN constructs such as are defined in
!    ../src/lisp.h.  Accepts any word starting DEF... so it finds DEFSIMPLE
!    and DEFPRED.  */
  
  int
  scan_c_file (filename, mode)
***************
*** 344,349 ****
--- 347,359 ----
      filename[strlen (filename) - 1] = 'c';
  
    infile = fopen (filename, mode);
+ 
+   /* If .c file does not exist, try opening a .m file.  */
+   if (infile == NULL && errno == ENOENT)
+     {
+       filename[strlen (filename) - 1] = 'm';
+       infile = fopen (filename, "r");
+     }
  
    /* No error if non-ex input file */
    if (infile == NULL)
Index: emacs/lib-src/permute-index
diff -c /dev/null emacs/lib-src/permute-index:1.1
*** /dev/null	Fri Aug  2 20:33:05 1996
--- emacs/lib-src/permute-index	Tue Jul 30 21:51:57 1996
***************
*** 0 ****
--- 1,102 ----
+ #!/bin/csh -f
+ # Generate a permuted index of all names.
+ # The result is a file called index.fns.
+ 
+ # You will need to modify this for your needs.
+ 
+ 
+ set TEXINDEX=texindex  # path to texindex command
+ #set EMACS=gnuemacs     # your emacs command
+ #set TEX=tex             # your tex command
+ 
+ set MANUAL=elisp  # the base name of the manual
+ 
+ # goto 3
+ 
+ 1:
+ echo "Extract raw index from texinfo fn index."
+ # Let texindex combine duplicate entries, later.
+ # But it wants to protect non-alphanumerics thus confusing ptx.
+ # Also change `\ ' to just a ` ', since texindex will fail. This is produced 
+ # by `@findex two words' in an example environment (no doubt among others).
+ # delete wrapper parens
+ # change dots {} to dots{}
+ # change {-} to char form, so ptx wont ignore it.
+ # delete leading \entry {
+ # change '\ ' to ' '
+ # change lines with = < > since they mess up field extraction.
+ # separate into fields delimited by "
+ cat ${MANUAL}.fn | \
+ 	sed \
+ 	-e 's/(\([^)]*\))/\1/' \
+ 	-e 's/\\dots {}/(\\dots{})/' \
+ 	-e "s/{-}/{{\\tt\\char'055}}/" \
+ 	-e 's,^[^ ]* {,,' \
+ 	-e 's, },},' \
+ 	-e 's,\\ , ,g' \
+ 	-e 's/{\\tt\\char61}/=/' \
+ 	-e 's/{\\tt\\gtr}/>/' \
+ 	-e 's/{\\tt\\less}/</' \
+ 	-e 's/}{/"/g' \
+ 	| awk -F\" '{print $2, $1}' >! permuted.raw
+ 
+ 2:
+ # Build break file for ptx.
+ cat <<EOF > permuted.break
+ -
+ :
+ EOF
+ # Build the ignore file for ptx.
+ # We would like to ignore "and", "or", and "for", 
+ # but ptx ignores ignore words even if they stand alone.
+ cat <<EOF > permuted.ignore
+ the
+ in
+ to
+ as
+ a
+ an
+ of
+ on
+ them
+ how
+ from
+ by
+ EOF
+ 
+ echo "Make troff permuted index."
+ ptx -i permuted.ignore -b permuted.break -f -r -w 144 \
+ 	 < permuted.raw >! permuted.t
+ 
+ 3:
+ echo "Extract the desired fields."
+ awk -F\" '{printf "%s\"%s\"%s\n", $4,$6,$9}' permuted.t >! permuted.fields 
+ 
+ 4:
+ echo "Format for texindex."
+ # delete lines that start with "and ", "for "
+ sed 	< permuted.fields \
+ 	-e 's/=/{\\tt\\char61}/' \
+ 	-e 's/>/{\\tt\\gtr}/' \
+ 	-e 's/</{\\tt\\less}/' \
+ 	-e '/"and /d' \
+ 	-e '/"for /d' \
+   | awk -F\" 'NF>0 {if ($1=="") {\
+ 	  print "\entry {" $2 "}{" 0+$3 "}{" $2 "}" }\
+ 	else {\
+ 	  print "\entry {" $2 ", " $1 "}{" 0+$3 "}{" $2 ", " $1 "}"} }'\
+ 	      > permuted.fn
+ 
+ 5:
+ echo "Sort with texindex."
+ ${TEXINDEX} permuted.fn
+ #mv permuted.fns ${MANUAL}.fns
+ 
+ # The resulting permuted.fns will be read when we run TeX 
+ # on the manual the second time.  Or you can use permuted.texinfo here.
+ #${TEX} permuted.texinfo
+ 
+ 6:
+ echo "Clean up."
+ rm -f permuted.fields permuted.t permuted.raw
+ rm -f permuted.break permuted.ignore permuted.fn
